<?php

if (isset($_POST["submit"])) {

   $file = "books.xml";
   $fp = fopen($file, "rb") or die("cannot open file");
   $str = fread($fp, filesize($file));

   $xml = new DOMDocument();
   $xml->formatOutput = true;
   $xml->preserveWhiteSpace = false;
   $xml->loadXML($str) or die("Error");

   // get document element
   $root   = $xml->documentElement;
   $books  = $root->childNodes->item(1);

   $booksFound=0;
   foreach($books->childNodes as $book) {
      $bookTitleNode=$book->childNodes->item(0);
      $bookAuthorNode=$book->childNodes->item(1); 
      if ($bookAuthorNode->nodeValue==$_POST["author"]) {
          echo $bookTitleNode->nodeValue."<br>";
          $booksFound++;
      }    
   }
   if ($booksFound==0) echo "No matching authors found";
   
} else {

?>

<html>
<head>
<title>XML Data Search</title>
</head>

<body>
<h1>Author Search</h1>
<form method="post" action="authorSearch.php">
  Name: <input type="text" name="author">
  <input type="submit" name="submit" value="Search">
</form>
</bpdy>

</html>
<?php
}
?>