<?php

if (isset($_POST["submit"])) {

   $file = "books.xml";
   $fp = fopen($file, "rb") or die("cannot open file");
   $str = fread($fp, filesize($file));

   $xml = new DOMDocument();
   $xml->formatOutput = true;
   $xml->preserveWhiteSpace = false;
   $xml->loadXML($str) or die("Error");

   // original
   echo "<xmp>OLD:\n". $xml->saveXML() ."</xmp>";

   // get document element
   $root= $xml->documentElement;
   $nextIDNode=$root->childNodes->item(0);
   $books= $root->childNodes->item(1);

   // get change parameters
   $id=$_POST["id"];
   $newTitle=$_POST["title"];
   $newAuthor=$_POST["author"];
   
   // find node and make the change
   foreach($books->childNodes as $book) {
   
      if ($book->getAttribute("id")==$id) {
    
	   $titleNode=$xml->createElement("title");
       $titleTextNode=$xml->createTextNode("$newTitle");
       $titleNode->appendChild($titleTextNode);

       $authorNode=$xml->createElement("author");
       $authorTextNode=$xml->createTextNode("$newAuthor");
       $authorNode->appendChild($authorTextNode);
       
       $newBookNode=$xml->createElement("book");
       $newBookNode->setAttribute("id",$id);
       $newBookNode->appendChild($titleNode);
       $newBookNode->appendChild($authorNode);
       
       $books->replaceChild($newBookNode,$book);
      }
   }

   echo "<xmp>NEW:\n". $xml->saveXML() ."</xmp>";

   $xml->save("books.xml");

} else {
?>

<html>
<head>
<title>XML Add New Element</title>
</head>

<body>
<h1>Edit Book</h1>
<form method="post" action="editBook.php">
  Book ID: <input type="text" name="id"><br>
  New Author: <input type="text" name="author"><br>
  New Title: <input type="text" name="title"><br>
  <input type="submit" name="submit" value="edit">
</form>
</body>

</html>
<?php
}
?>
