<?php
if (isset($_POST["submit"])) {
   
   $file = "books.xml";
   $fp = fopen($file, "rb") or die("Error - cannot open XML file");
   $str = fread($fp, filesize($file));

   $xml = new DOMDocument();
   $xml->formatOutput = true;
   $xml->preserveWhiteSpace = false;
   $xml->loadXML($str) or die("Error - cannot load XML data");

   // display original XML file
   echo "<xmp>OLD:\n". $xml->saveXML() ."</xmp>";

   // get document element
   $root= $xml->documentElement;
   $nextIDNode=$root->childNodes->item(0);
   $books= $root->childNodes->item(1);

   // get element to delete
   $id=$_POST["id"];
   
   // find node and make the change
   foreach($books->childNodes as $book) {
      if ($book->getAttribute("id")==$id) { 
          $books->removeChild($book);
      }
   }

   // display new XML file
   echo "<xmp>NEW:\n". $xml->saveXML() ."</xmp>";

   $xml->save("books.xml");

} else {
?>

<html>
<head>
<title>XML Delete Element</title>
</head>

<body>
<h1>Delete Book</h1>
<form method="post" action="deleteBook.php">
  Book ID: <input type="text" name="id"><br>
  <input type="submit" name="submit" value="edit">
</form>
</body>

</html>
<?php
}
?>
